Upgrading to CMS6R2 - WebDav error

Vote:
 

After attempting to upgrade a website to CMS6R2, the upgrade appears to work fine but when I run the site I get the following error:

Could not load file or assembly 'EPiServer.WebDav' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference.

I've tried the following:

  • adding an explicit reference to EPiServer.WebDav (browsing to C:\Program Files\EPiServer\CMS\6.1.379.0\bin)
  • resetting IIS
  • deleting all temp asp.net files
  • amending the version number in line <section name="episerver type="EPiServer.Configuration.EPiServerSection, EPiServer.Configuration, Version=6.0.530.0, Culture=neutral, PublicKeyToken=8fe83dea738b45b7" restartOnExternalChanges="false" /> to 6.1.379.0
  • adding references into web.config as described in http://world.episerver.com/Documentation/Items/Tech-Notes/EPiServer-CMS-6/EPiServer-CMS-60/WebDAV/

I'm using IIS7 on windows 7.  Any help very much appreciated.

#55736
Dec 14, 2011 19:01
Vote:
 

EPiServer.WebDav assembly has references to EPiServer.Framework, EPiServer.Data, EPiServer, EPiServer.BaseLibrary. Can you check that you have all that assemblies in site bin folder and versions are correct?

You can also check /configuration/runtime/assemblyBinding section, probably this issue can be solved by correcting assembly binding redirects.

#55743
Dec 15, 2011 9:36
Vote:
 

Thank you.  Pointed me in the right direction.  The assemblyBinding section had been updated correctly but we had old version dlls in the bin folder.  Couldn't fathom it then remembered we had a post build event - this was copying the old dlls back in.  Doh. NB: We implemented the post build event following this model: http://world.episerver.com/Blogs/Magnus-von-Wachenfeldt/Dates/2010/2/Setting-up-a-Maintainable-EPiServer-Site--Part-1/

#55754
Edited, Dec 15, 2011 12:11
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.